Page MenuHomePhabricator

Error during editor initialization makes it impossible to try to edit a second time
Closed, ResolvedPublic8 Story Points

Description

Discovered after T96435. That error during editor initialization leaves it in half-loaded unrecoverable state. Progress bar is still displayed, content is greyed out, there is no way to go back to reading the content (other than refreshing the page).

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.Apr 17 2015, 9:04 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added subscribers: matmarex, Aklapper.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

I made Target's loadSuccess function call loadFail and return (like it does for "Revision IDs (doc=x,api=y) returned by server do not match"), but it removed the progress bar and you're sent back to reading the page... Stuff only breaks if you then click the Edit button again.
Does this match the current behaviour you see when these errors happen, @matmarex?

Krenair renamed this task from Error during editor initialization leaves it in half-loaded unrecoverable state to Error during editor initialization makes it impossible to try to edit a second time.Aug 27 2015, 1:27 AM

Change 238303 had a related patch set uploaded (by Alex Monk):
If init fails once, don't completely break when the user retries

https://gerrit.wikimedia.org/r/238303

Jdforrester-WMF closed this task as Resolved.Sep 14 2015, 9:51 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 238303 merged by jenkins-bot:
If init fails once, don't completely break when the user retries

https://gerrit.wikimedia.org/r/238303